## net.i2p.client.streaming
Class StreamSinkServer

    java.lang.Object
      net.i2p.client.streaming.StreamSinkServer

    public class StreamSinkServer

extends java.lang.Object

Listen to a destination, receiving any sockets and writing anything they send to a new file. See the `main(java.lang.String[])`

Constructor Summary
`StreamSinkServer(java.lang.String sinkDir, java.lang.String ourDestFile)` Create but do not start the streaming server.
`StreamSinkServer(java.lang.String sinkDir, java.lang.String ourDestFile, java.lang.String i2cpHost, int i2cpPort, int handlers)`

Method Summary
`static void` `main(java.lang.String[] args)` Fire up the streaming server.
`void` `runServer()` Actually fire up the server - this call blocks forever (or until the server socket closes)
`void` `startup(I2PServerSocket sock)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamSinkServer

    public StreamSinkServer(java.lang.String sinkDir,
                            java.lang.String ourDestFile)

  Create but do not start the streaming server.

  Parameters:
    `sinkDir` - Directory to store received files in
    `ourDestFile` - filename to write our binary destination to

### StreamSinkServer

    public StreamSinkServer(java.lang.String sinkDir,
                            java.lang.String ourDestFile,
                            java.lang.String i2cpHost,
                            int i2cpPort,
                            int handlers)

Method Detail

### runServer

    public void runServer()

  Actually fire up the server - this call blocks forever (or until the server socket closes)

### startup

    public void startup(I2PServerSocket sock)

### main

    public static void main(java.lang.String[] args)

  Fire up the streaming server. `Usage: StreamSinkServer [i2cpHost i2cpPort] sinkDir ourDestFile [numHandlers]`
  - sinkDir: Directory to store received files in
  - ourDestFile: filename to write our binary destination to
  - numHandlers: how many concurrent connections to handle